Package org.eclipse.birt.report.engine.api

# Class DOCRenderContext

java.lang.Object
org.eclipse.birt.report.engine.api.DOCRenderContext

public class DOCRenderContext extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`baseURL`
base URL used for action handler
`protected String`
`fontDirectory`
user-defined font dirctory
`protected boolean`
`isEmbededFont`
`protected String`
`supportedImageFormats`
the image formats supported by the browser

## Constructor Summary

Constructors
Constructor
Description
`DOCRenderContext()`
dummy constrictor

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseURL()`
Returns the base URL for creating an Action URL
`String`
`getFontDirectory()`
`String`
`getSupportedImageFormats()`
`boolean`
`isEmbededFont()`
`void`
`setBaseURL(String baseURL)`
sets the base url for action handling
`void`
`setEmbededFont(boolean isEmbededFont)`
`void`
`setFontDirectory(String fontDirectory)`
`void`
`setSupportedImageFormats(String formats)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### baseURL

protected String baseURL
base URL used for action handler

### isEmbededFont

protected boolean isEmbededFont

### supportedImageFormats

protected String supportedImageFormats
the image formats supported by the browser

### fontDirectory

protected String fontDirectory
user-defined font dirctory

## Constructor Details

### DOCRenderContext

public DOCRenderContext()
dummy constrictor

## Method Details

### getBaseURL

public String getBaseURL()
Returns the base URL for creating an Action URL

Returns:
  the baseURL.

### setBaseURL

public void setBaseURL(String baseURL)
sets the base url for action handling

Parameters:
  `baseURL` - sets the base URL used for action handling

### setSupportedImageFormats

public void setSupportedImageFormats(String formats)

Parameters:
  `formats` - - the image format supported by the browser

### getSupportedImageFormats

public String getSupportedImageFormats()

Returns:
  the image format supported by the browser

### setEmbededFont

public void setEmbededFont(boolean isEmbededFont)

### isEmbededFont

public boolean isEmbededFont()

Returns:
  if font is embeded

### getFontDirectory

public String getFontDirectory()

Returns:
  the user-defined font directory

### setFontDirectory

public void setFontDirectory(String fontDirectory)

Parameters:
  `fontDirectory` - the user-defined font directory